For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all roles of the workspace.
      • POSTCreates a new role with specified permissions.
      • POSTMoves a user from their current role to another role.
      • GETReturns all users in roles of the workspace.
      • GETReturns the role with the specified id.
      • PUTUpdates the role with the specified id.
      • POSTAdds the user to the role with the specified id.
      • GETReturns all deactivated menu items for the specified role.
      • POSTCreates or updates the deactivated menu items for the specified role.
      • POSTDeletes the role with the specified id.
      • GETReturns all permissions of the specified role.
      • POSTCreates, updates or deletes a permission of the specified role.
      • POSTArchives or unarchives the role with the specified id.
      • GETReturns all users of the specified role.
      • POSTActivates the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • GETReturns the role with the specified name.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceRoles

Returns all roles of the workspace.

GET
https://api.awork.com/api/v1/roles
GET
/api/v1/roles
$curl https://api.awork.com/api/v1/roles \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "name": "Designer",
4 "isAdminRole": false,
5 "isGuestRole": false,
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "isPreset": false,
8 "isArchived": false,
9 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
10 "createdOn": "2024-01-15T09:30:00Z",
11 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
12 "updatedOn": "2024-01-15T09:30:00Z"
13 }
14]
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Creates a new role with specified permissions.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

showArchivedbooleanOptionalDefaults to false
Whether to show archived roles.

Response

OK
namestring>=1 character
The name of the role. Must be unique.
isAdminRoleboolean
Whether this is the admin role. Only one role can be the admin role.
isGuestRoleboolean
Whether this is the guest role. Only one role can be the guest role.
idstringformat: "uuid"
The id of the role.
isPresetboolean
Whether this role is one of the preset roles. Preset roles can be edited, archived and deleted.
isArchivedboolean
Whether the role has been archived.
createdBystringformat: "uuid"
The id of the user who created this role.
createdOnstringformat: "date-time"
The date this role was created.
updatedBystringformat: "uuid"
The id of the user who updated this role.
updatedOnstringformat: "date-time"
The date this role was last modified.